GET api/badgereaderapi/badgeReader/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
BadgeReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_id | globally unique identifier |
None. |
|
| com_port | integer |
None. |
|
| baudrate | integer |
None. |
|
| direction | string |
Required String length: inclusive between 0 and 3 |
|
| has_correspondence | boolean |
Required |
|
| active | boolean |
Required |
|
| badge_reader_type_id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
|
| handshake | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"id": "5f10c11e-df97-4da7-8057-184468e9931f",
"name": "sample string 2",
"pc_id": "18708f02-de2f-4c41-9f7d-ac92695c7e8d",
"com_port": 1,
"baudrate": 1,
"direction": "sample string 3",
"has_correspondence": true,
"active": true,
"badge_reader_type_id": "bee8cfaa-7ac2-4be0-b372-49f7b7f47ff2",
"site_id": "5ab600c7-20d5-41fa-aa9e-d90789676c3b",
"parity": 6,
"data_bits": 7,
"stop_bits": 8,
"handshake": 9
}
application/xml, text/xml
Sample:
<badgereader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <badge_reader_type_id>bee8cfaa-7ac2-4be0-b372-49f7b7f47ff2</badge_reader_type_id> <baudrate>1</baudrate> <com_port>1</com_port> <data_bits>7</data_bits> <direction>sample string 3</direction> <handshake>9</handshake> <has_correspondence>true</has_correspondence> <id>5f10c11e-df97-4da7-8057-184468e9931f</id> <name>sample string 2</name> <parity>6</parity> <pc_id>18708f02-de2f-4c41-9f7d-ac92695c7e8d</pc_id> <site_id>5ab600c7-20d5-41fa-aa9e-d90789676c3b</site_id> <stop_bits>8</stop_bits> </badgereader>